<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.20.1.final using JasperReports Library version 6.20.1-7584acb244139816654f64e2fd57a00d3e31921e  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="REPORT ITEM TERJUAL PER ITEM PER CUSTOMER" pageWidth="4200" pageHeight="3700" orientation="Landscape" columnWidth="4160" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" isIgnorePagination="true" uuid="279670f9-ebaa-420a-bf38-0cfc1f30204e">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="fms"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.sql.SQLQueryDesigner.sash.w1" value="389"/>
	<property name="com.jaspersoft.studio.data.sql.SQLQueryDesigner.sash.w2" value="600"/>
	<style name="Table 1_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 1_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 5_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 5_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 6_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 6_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 7_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 7_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 9_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 9_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 10_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 10_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 2_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 3_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 2_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 3_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 2_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 3_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 8_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 8_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 8_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 11_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 11_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 11_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 12_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 12_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 12_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<subDataset name="stock" uuid="26b06a4f-f2d7-4809-9e3b-eec764549ea9">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="fms"/>
		<parameter name="idProduct" class="java.lang.String"/>
		<parameter name="mfg" class="java.lang.String"/>
		<parameter name="gudang" class="java.lang.String"/>
		<queryString language="plsql">
			<![CDATA[select s.mid, s.code, s.name, s.tgl,  s.awal, s.keluar,
case when s.type in (0,11)   then @saldo := @saldo + s.awal
     when s.type in (4,7,8,10,13) then @saldo := @saldo - s.keluar
end as saldo, s.dari, s.ke, s.keterangan, s.No_Transaction
from (
select m.id as mid,
	m.type as type, 
	p.code as code, 
	p.name as name,
	date(m.created_date) as tgl,
case when m.type in (0,11)   then ia.quantity else 0 end as masuk,
case when m.type in (0,11)   then bl.quantity else 0 end as awal,
case when m.type in (4,7,8,10,13) then ia.quantity else 0 end as keluar,
case when fFrom.name is null then '' else fFrom.name end as dari,
case when m.type in (0,8,9,10,11,13) then fTo.name else '' end as ke,
case when m.type =  0 then 'inventory'
     when m.type =  4 then 'repackaged'
     when m.type =  7 then 'wasted'
     when m.type =  8 then 'sold'
     when m.type = 10 then 'moved'
     when m.type = 13 then 'revert'
     else ''
end as keterangan,
case when m.type in (8,13) then i.invoiceCode
     when m.type = 10 then case when de.code is null then 'pindah gudang' else de.code end
     else ''
end as No_Transaction
from tbinventorymovement m
left join tbinventoryblock bl on m.block = bl.id
left join tbinventoryallocation ia on ia.id = m.allocation
left join tbwarehouselocation lTo on lTo.id = m.to_Location
left join tbwarehousefacility fTo on fTo.id =  lTo.facility
left join tbwarehouselocation lFrom on lFrom.id = m.from_location
left join tbwarehousefacility fFrom on fFrom.id = lFrom.facility
left join tbproduct p on p.id = ia.product
left join tbdispatchallocation da on da.movement = m.id
left join tbdispatch d on d.id = da.dispatch
left join tbinvoice i on i.id = d.invoice
left join tbdespatchallocation dea on dea.movement = m.id
left join tbdespatch de on de.id = dea.despatch
where ia.quantity > 0 and m.type in (0,4,7,8,10,11,13) and p.id = $P{idProduct} and bl.production_code = $P{mfg}
and (fFrom.id = $P{gudang} or fTo.id = $P{gudang})
order by m.created_date ) s]]>
		</queryString>
		<field name="mid" class="java.lang.Long">
			<property name="com.jaspersoft.studio.field.name" value="mid"/>
			<property name="com.jaspersoft.studio.field.label" value="mid"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinventorymovement"/>
		</field>
		<field name="code" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="code"/>
			<property name="com.jaspersoft.studio.field.label" value="code"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
		</field>
		<field name="name" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="name"/>
			<property name="com.jaspersoft.studio.field.label" value="name"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
		</field>
		<field name="tgl" class="java.sql.Date">
			<property name="com.jaspersoft.studio.field.name" value="tgl"/>
			<property name="com.jaspersoft.studio.field.label" value="tgl"/>
		</field>
		<field name="awal" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="awal"/>
			<property name="com.jaspersoft.studio.field.label" value="awal"/>
		</field>
		<field name="keluar" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="keluar"/>
			<property name="com.jaspersoft.studio.field.label" value="keluar"/>
		</field>
		<field name="saldo" class="java.lang.Double">
			<property name="com.jaspersoft.studio.field.name" value="saldo"/>
			<property name="com.jaspersoft.studio.field.label" value="saldo"/>
		</field>
		<field name="dari" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="dari"/>
			<property name="com.jaspersoft.studio.field.label" value="dari"/>
		</field>
		<field name="ke" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="ke"/>
			<property name="com.jaspersoft.studio.field.label" value="ke"/>
		</field>
		<field name="keterangan" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="keterangan"/>
			<property name="com.jaspersoft.studio.field.label" value="keterangan"/>
		</field>
		<field name="No_Transaction" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="No_Transaction"/>
			<property name="com.jaspersoft.studio.field.label" value="No_Transaction"/>
		</field>
		<group name="tgl">
			<groupExpression><![CDATA[$F{tgl}]]></groupExpression>
		</group>
		<group name="awal">
			<groupExpression><![CDATA[$F{awal}]]></groupExpression>
		</group>
		<group name="keluar">
			<groupExpression><![CDATA[$F{keluar}]]></groupExpression>
		</group>
		<group name="saldo">
			<groupExpression><![CDATA[$F{saldo}]]></groupExpression>
		</group>
		<group name="dari">
			<groupExpression><![CDATA[$F{dari}]]></groupExpression>
		</group>
		<group name="ke">
			<groupExpression><![CDATA[$F{ke}]]></groupExpression>
		</group>
		<group name="keterangan">
			<groupExpression><![CDATA[$F{keterangan}]]></groupExpression>
		</group>
		<group name="No_Transaction">
			<groupExpression><![CDATA[$F{No_Transaction}]]></groupExpression>
		</group>
	</subDataset>
	<parameter name="dariTanggal" class="java.lang.String"/>
	<parameter name="sampaiTanggal" class="java.lang.String"/>
	<parameter name="bulan" class="java.lang.String"/>
	<parameter name="tahun" class="java.lang.String"/>
	<parameter name="customerId" class="java.lang.String"/>
	<queryString>
		<![CDATA[select (select c_i.name from tbcustomer c_i where c_i.id = $P{customerId}) as name, p.code, p.description,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 1
        and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan1,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 2
        and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan2,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 3
        and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan3,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 4
        and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan4,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 5
        and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan5,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 6
        and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan6,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 7
        and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan7,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 8
        and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan8,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 9 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan9,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 10 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan10,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 11 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan11,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 12 and i_i.status != 4        
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan12,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 13 and i_i.status != 4
        and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan13,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 14 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan14,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 15 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan15,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 16 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan16,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 17 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan17,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 18 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan18,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 19 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan19,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 20 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan20,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 21 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan21,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 22 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan22,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 23 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan23,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 24 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan24,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 25 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan25,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 26 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan26,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 27 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan27,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 28 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan28,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 29 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan29,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 30 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan30,
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbproduct p_i on p_i.id = ii_i.product
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        where p_i.id = p.id and i_i.customer in ($P!{customerId})  and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 31 and i_i.status != 4
        group by p_i.id, i_i.customer, i_i.invoicedate
    )   as jan31
from tbproduct p where p.id in (
    select ii_i.product from tbinvoiceitem ii_i
    left join tbinvoice i_i on i_i.id = ii_i.invoice
    where i_i.customer in ($P!{customerId}) and i_i.invoicedate between $P{dariTanggal} and $P{sampaiTanggal})]]>
	</queryString>
	<field name="name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbdeliveryarea"/>
	</field>
	<field name="code" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="code"/>
		<property name="com.jaspersoft.studio.field.label" value="code"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<field name="description" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="description"/>
		<property name="com.jaspersoft.studio.field.label" value="description"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<field name="jan1" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan1"/>
		<property name="com.jaspersoft.studio.field.label" value="jan1"/>
	</field>
	<field name="jan2" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan2"/>
		<property name="com.jaspersoft.studio.field.label" value="jan2"/>
	</field>
	<field name="jan3" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan3"/>
		<property name="com.jaspersoft.studio.field.label" value="jan3"/>
	</field>
	<field name="jan4" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan4"/>
		<property name="com.jaspersoft.studio.field.label" value="jan4"/>
	</field>
	<field name="jan5" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan5"/>
		<property name="com.jaspersoft.studio.field.label" value="jan5"/>
	</field>
	<field name="jan6" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan6"/>
		<property name="com.jaspersoft.studio.field.label" value="jan6"/>
	</field>
	<field name="jan7" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan7"/>
		<property name="com.jaspersoft.studio.field.label" value="jan7"/>
	</field>
	<field name="jan8" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan8"/>
		<property name="com.jaspersoft.studio.field.label" value="jan8"/>
	</field>
	<field name="jan9" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan9"/>
		<property name="com.jaspersoft.studio.field.label" value="jan9"/>
	</field>
	<field name="jan10" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan10"/>
		<property name="com.jaspersoft.studio.field.label" value="jan10"/>
	</field>
	<field name="jan11" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan11"/>
		<property name="com.jaspersoft.studio.field.label" value="jan11"/>
	</field>
	<field name="jan12" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan12"/>
		<property name="com.jaspersoft.studio.field.label" value="jan12"/>
	</field>
	<field name="jan13" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan13"/>
		<property name="com.jaspersoft.studio.field.label" value="jan13"/>
	</field>
	<field name="jan14" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan14"/>
		<property name="com.jaspersoft.studio.field.label" value="jan14"/>
	</field>
	<field name="jan15" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan15"/>
		<property name="com.jaspersoft.studio.field.label" value="jan15"/>
	</field>
	<field name="jan16" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan16"/>
		<property name="com.jaspersoft.studio.field.label" value="jan16"/>
	</field>
	<field name="jan17" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan17"/>
		<property name="com.jaspersoft.studio.field.label" value="jan17"/>
	</field>
	<field name="jan18" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan18"/>
		<property name="com.jaspersoft.studio.field.label" value="jan18"/>
	</field>
	<field name="jan19" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan19"/>
		<property name="com.jaspersoft.studio.field.label" value="jan19"/>
	</field>
	<field name="jan20" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan20"/>
		<property name="com.jaspersoft.studio.field.label" value="jan20"/>
	</field>
	<field name="jan21" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan21"/>
		<property name="com.jaspersoft.studio.field.label" value="jan21"/>
	</field>
	<field name="jan22" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan22"/>
		<property name="com.jaspersoft.studio.field.label" value="jan22"/>
	</field>
	<field name="jan23" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan23"/>
		<property name="com.jaspersoft.studio.field.label" value="jan23"/>
	</field>
	<field name="jan24" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan24"/>
		<property name="com.jaspersoft.studio.field.label" value="jan24"/>
	</field>
	<field name="jan25" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan25"/>
		<property name="com.jaspersoft.studio.field.label" value="jan25"/>
	</field>
	<field name="jan26" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan26"/>
		<property name="com.jaspersoft.studio.field.label" value="jan26"/>
	</field>
	<field name="jan27" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan27"/>
		<property name="com.jaspersoft.studio.field.label" value="jan27"/>
	</field>
	<field name="jan28" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan28"/>
		<property name="com.jaspersoft.studio.field.label" value="jan28"/>
	</field>
	<field name="jan29" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan29"/>
		<property name="com.jaspersoft.studio.field.label" value="jan29"/>
	</field>
	<field name="jan30" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan30"/>
		<property name="com.jaspersoft.studio.field.label" value="jan30"/>
	</field>
	<field name="jan31" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan31"/>
		<property name="com.jaspersoft.studio.field.label" value="jan31"/>
	</field>
	<title>
		<band height="68" splitType="Stretch">
			<textField>
				<reportElement x="630" y="-10" width="490" height="30" uuid="d07c8fbc-a74f-40ee-bf4e-25ab5b3a661d"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["REPORT ITEM TERJUAL PER ITEM PER CUSTOMER"]]></textFieldExpression>
			</textField>
			<textField pattern="MMMM d, yyyy">
				<reportElement x="270" y="20" width="180" height="19" uuid="1b9ab1a1-34ee-4601-83cc-ec0bca9958e7"/>
				<textElement textAlignment="Left" verticalAlignment="Middle" markup="none">
					<font fontName="SansSerif" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.text.SimpleDateFormat("EEEE, dd MMMM yyyy", new java.util.Locale("id")).format(new java.text.SimpleDateFormat("yyyy-MM-dd").parse($P{sampaiTanggal}))]]></textFieldExpression>
			</textField>
			<textField pattern="MMMM d, yyyy">
				<reportElement x="37" y="20" width="183" height="19" uuid="26ed3f9a-981d-4e98-83e8-e4697da3d4cd"/>
				<textElement textAlignment="Left" verticalAlignment="Middle" markup="none">
					<font fontName="SansSerif" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.text.SimpleDateFormat("EEEE, dd MMMM yyyy", new java.util.Locale("id")).format(new java.text.SimpleDateFormat("yyyy-MM-dd").parse($P{dariTanggal}))]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="230" y="20" width="40" height="19" uuid="85172a7d-532d-481b-b399-e446d04853b6"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[Sampai]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="20" width="37" height="19" uuid="4e7fa3cc-a4c8-401d-b0e9-eca0e5625838"/>
				<box leftPadding="3"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[Dari]]></text>
			</staticText>
			<staticText>
				<reportElement x="990" y="48" width="110" height="20" uuid="81d14aa8-e48b-44fc-855c-a0b66a472246"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[6]]></text>
			</staticText>
			<staticText>
				<reportElement x="770" y="48" width="110" height="20" uuid="4088ba76-84db-444f-b097-a7d0b93d0bee"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[4]]></text>
			</staticText>
			<staticText>
				<reportElement x="2340" y="48" width="120" height="20" uuid="dfa7caff-6c54-458b-9d1c-cb7bc9bceeda"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[18]]></text>
			</staticText>
			<staticText>
				<reportElement x="880" y="48" width="110" height="20" uuid="3ce20fbf-2bde-42bb-bb13-26e43501660b"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[5]]></text>
			</staticText>
			<staticText>
				<reportElement x="1100" y="48" width="110" height="20" uuid="4e42669b-42bd-470c-9d2a-a3aa4a9c944d"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[7]]></text>
			</staticText>
			<staticText>
				<reportElement x="1740" y="48" width="120" height="20" uuid="0ba55666-82ce-4e1c-b581-a1e1e1ff9aa3"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[13]]></text>
			</staticText>
			<staticText>
				<reportElement x="2580" y="48" width="120" height="20" uuid="83aba94b-9149-4fdd-80fd-30177ee9742f"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[20]]></text>
			</staticText>
			<staticText>
				<reportElement x="3900" y="48" width="120" height="20" uuid="72aedbef-7b6f-47ed-94f4-edb527d4d9c6"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[31]]></text>
			</staticText>
			<staticText>
				<reportElement x="1980" y="48" width="120" height="20" uuid="b18a69c3-ab45-448b-81e1-7ada0d512396"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[15]]></text>
			</staticText>
			<textField pattern="dd-MM-yyyy">
				<reportElement x="0" y="48" width="440" height="20" uuid="7697c89e-d273-4055-b1e0-d51f9b609241"/>
				<box leftPadding="2">
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{name}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="2220" y="48" width="120" height="20" uuid="8e545224-bd52-4926-ba8f-a0f655fb2ba4"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[17]]></text>
			</staticText>
			<staticText>
				<reportElement x="1320" y="48" width="110" height="20" uuid="a4bbac1c-cf36-4530-ac83-996bff46022b"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[9]]></text>
			</staticText>
			<staticText>
				<reportElement x="1860" y="48" width="120" height="20" uuid="1f639e06-f8a0-4e45-8624-fa6786585841"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[14]]></text>
			</staticText>
			<staticText>
				<reportElement x="2700" y="48" width="120" height="20" uuid="e36f67a9-4ba8-4cbb-b492-a979654d5427"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[21]]></text>
			</staticText>
			<staticText>
				<reportElement x="1210" y="48" width="110" height="20" uuid="68e85944-5312-46b3-b074-c948bb95dfc7"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[8]]></text>
			</staticText>
			<staticText>
				<reportElement x="1640" y="48" width="100" height="20" uuid="acbb96c9-d418-4ddc-b4db-a742f1aff180"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[12]]></text>
			</staticText>
			<staticText>
				<reportElement x="3180" y="48" width="120" height="20" uuid="4bd0e661-69f4-4d37-b9e9-2cfc13be832b"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[25]]></text>
			</staticText>
			<staticText>
				<reportElement x="2820" y="48" width="120" height="20" uuid="b3b5656d-cf02-414c-9bee-a86b6a4fa54e"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[22]]></text>
			</staticText>
			<staticText>
				<reportElement x="3300" y="48" width="120" height="20" uuid="81678760-6152-458d-aaea-a3077a365be3"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[26]]></text>
			</staticText>
			<staticText>
				<reportElement x="3060" y="48" width="120" height="20" uuid="996db0ab-424b-4d0c-a1fc-3fa38ca5d54c"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[24]]></text>
			</staticText>
			<staticText>
				<reportElement x="440" y="48" width="110" height="20" uuid="79cd6e2d-14ec-4b07-b148-2bc570957d9c"/>
				<box>
					<topPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[1]]></text>
			</staticText>
			<staticText>
				<reportElement x="3540" y="48" width="120" height="20" uuid="f24199cb-9dd7-495a-a7b5-a55970457757"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[28]]></text>
			</staticText>
			<staticText>
				<reportElement x="660" y="48" width="110" height="20" uuid="b8606af6-6f65-4476-8ee9-93c3d5c51f6d"/>
				<box>
					<topPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[3]]></text>
			</staticText>
			<staticText>
				<reportElement x="3420" y="48" width="120" height="20" uuid="f6008a76-4c02-4aef-9551-68161fc7b75d"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[27]]></text>
			</staticText>
			<staticText>
				<reportElement x="3780" y="48" width="120" height="20" uuid="7bf0080e-bdb7-4f75-a69e-6753513641c1"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[30]]></text>
			</staticText>
			<staticText>
				<reportElement x="550" y="48" width="110" height="20" uuid="a14e80ed-59fe-41fa-9ce0-1850ff8172ae"/>
				<box>
					<topPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[2]]></text>
			</staticText>
			<staticText>
				<reportElement x="2940" y="48" width="120" height="20" uuid="dfce33bd-496f-4c80-8695-d43e4fabfdb0"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[23]]></text>
			</staticText>
			<staticText>
				<reportElement x="1540" y="48" width="100" height="20" uuid="bcf1b941-4b46-4296-ad1c-1e8abbd48021"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[11]]></text>
			</staticText>
			<staticText>
				<reportElement x="3660" y="48" width="120" height="20" uuid="e29b3be1-d5aa-427e-9a37-c07560909d3c"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[29]]></text>
			</staticText>
			<staticText>
				<reportElement x="2460" y="48" width="120" height="20" uuid="b65dcf05-224a-4c02-8294-65bf5024c51f"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[19]]></text>
			</staticText>
			<staticText>
				<reportElement x="1430" y="48" width="110" height="20" uuid="de4eb562-8371-4210-be91-c587959a0222"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[10]]></text>
			</staticText>
			<staticText>
				<reportElement x="2100" y="48" width="120" height="20" uuid="90c9b80d-fe5e-4eaf-89be-62d50fbfa9a6"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[16]]></text>
			</staticText>
		</band>
	</title>
	<detail>
		<band height="20" splitType="Stretch">
			<textField pattern="dd-MM-yyyy">
				<reportElement x="0" y="0" width="90" height="20" uuid="778d9fd0-6145-44c4-8608-2b10ee32898e"/>
				<box leftPadding="2">
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{code}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="90" y="0" width="350" height="20" uuid="9389d92d-d7ab-4565-b38f-cba3add48cc4"/>
				<box leftPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{description}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="440" y="0" width="110" height="20" uuid="342fe819-83f1-4ac2-9b63-60f822a357e1"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan1}  == null ? "" : $F{jan1}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="550" y="0" width="110" height="20" uuid="4a7059e9-3079-427c-85d9-3b84365982b3"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan2} == null ? "" : $F{jan2}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="660" y="0" width="110" height="20" uuid="62b3c3c3-a183-4a74-88a1-a1ca42547508"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan3} == null ? "" : $F{jan3}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="770" y="0" width="110" height="20" uuid="d635aaa5-7c91-4b6f-b463-ecfc33c1007e"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan4} == null ? "" : $F{jan4}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="880" y="0" width="110" height="20" uuid="3b822fdb-47c7-4789-af57-5a59c69f387f"/>
				<box rightPadding="2">
					<topPen lineWidth="0.75"/>
					<bottomPen lineWidth="0.75"/>
					<rightPen lineWidth="0.75"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan5} == null ? "" : $F{jan5}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="990" y="0" width="110" height="20" uuid="904722c4-9c90-4182-a1e8-4e74a1743d29"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan6} == null ? "" : $F{jan6}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="1100" y="0" width="110" height="20" uuid="85b00386-9ca8-407c-ac88-b2f9214df6c6"/>
				<box leftPadding="0" rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan7} == null ? "" : $F{jan7}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="1210" y="0" width="110" height="20" uuid="595221d9-4308-4d0e-a633-72bc26a496db"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan8} == null ? "" : $F{jan8}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="1320" y="0" width="110" height="20" uuid="d049ffd4-b2ec-4994-8d83-b647ea9515c3"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan9} == null ? "" : $F{jan9}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="1430" y="0" width="110" height="20" uuid="23e3e6ed-f141-4816-873f-0a2faf09f4f8"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan10} == null ? "":$F{jan10}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="1540" y="0" width="100" height="20" uuid="3d5bc321-ab90-4e3f-a059-e029a65776cb"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan11} == null ? "" : $F{jan11}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="1640" y="0" width="100" height="20" uuid="542fed65-1aec-4045-85f1-6bdcad39fc8b"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan12} == null ? "" : $F{jan12}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="1740" y="0" width="120" height="20" uuid="3d37baec-050d-424d-8019-fe28103e648c"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan13} == null ? "" : $F{jan13}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="1860" y="0" width="120" height="20" uuid="432616c5-19ae-4086-b660-d8f2e21e6274"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan14} == null ? "" : $F{jan14}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="1980" y="0" width="120" height="20" uuid="e2f138df-6f71-406f-adae-12b1dcb36ab9"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan15} == null ? "" : $F{jan15}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="2100" y="0" width="120" height="20" uuid="d6f4c86f-722d-4c09-9f46-dee60109a828"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan16} == null ? "" : $F{jan16}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="2220" y="0" width="120" height="20" uuid="a7a4aaf1-6c32-4f4e-93be-09f225375cf7"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan17} == null ? "" : $F{jan17}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="2340" y="0" width="120" height="20" uuid="f3f9907f-7483-43da-ad61-0a0013a2bd81"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan18} == null ? "" : $F{jan18}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="2460" y="0" width="120" height="20" uuid="31cbdfb2-bdd3-427d-ace3-69a4436bc94e"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan19} == null ? "" : $F{jan19}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="2580" y="0" width="120" height="20" uuid="195709ef-4e6a-4d04-8b49-1048505f4583"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan20} == null ? "" : $F{jan20}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="2700" y="0" width="120" height="20" uuid="5f20af75-ebf7-46a5-b804-ace39de603e7"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan21} == null ? "" : $F{jan21}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="2820" y="0" width="120" height="20" uuid="5c22f619-b792-4ff2-a9ea-a7e2ee00ab91"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan22} == null ? "" : $F{jan22}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="2940" y="0" width="120" height="20" uuid="81928f47-82ca-4755-b449-bdbf6ea9be88"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan23} == null ? "" : $F{jan23}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="3060" y="0" width="120" height="20" uuid="42c02dd4-85f4-4b88-80c7-2505e1c3ff35"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan24} == null ? "" : $F{jan24}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="3180" y="0" width="120" height="20" uuid="3c3d507b-c289-4e46-a242-d16172edffb5"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan25} == null ? "" : $F{jan25}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="3300" y="0" width="120" height="20" uuid="f40fcd60-cbaf-455d-88df-7abae7b70611"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan26} == null ? "" : $F{jan26}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="3420" y="0" width="120" height="20" uuid="46598fa9-6454-40d0-9163-04654ecb5a83"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan27} == null ? "" : $F{jan27}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="3540" y="0" width="120" height="20" uuid="d3038540-4ab3-4704-afb7-7e1fa96ed877"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan28} == null ? "" : $F{jan28}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="3660" y="0" width="120" height="20" uuid="50edc480-6524-41ea-a649-6d6eed79ebed"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan29} == null ? "" : $F{jan29}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="3780" y="0" width="120" height="20" uuid="5386b39e-3e06-495e-8c6a-ba61c0c9fbfb"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan30} == null ? "" : $F{jan30}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="3900" y="0" width="120" height="20" uuid="e8ed21df-0c33-417f-891b-ac3817b57147"/>
				<box rightPadding="2">
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan31} == null ? "" : $F{jan31}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
